import { Application } from "express";
import bodyParser from 'body-parser';
import cors from 'cors';

export default async (app: Application) => {
	app.get('/status', (req, res) => res.status(200).end());
	app.enable('trust proxy');

	app.use(cors());
	// app.use(bodyParser.urlencoded({ extended: false }));

	// more middlewares
	return app;
};
